/*
 * MojiGeneJava.java
 *
 * Created on 2007/04/25, 23:29
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */


package MojiGene.MojiGeneJavaClassFile;
 

import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Date;
import java.util.Random;

/**
 *
 * @author Shigeo Yamase
 */
public class MojiGeneJava
{
    int MojiKazuInText;
    int MojiKazuAtLine;
    int MojiKazuInWord;
    String AppExeDir;
    FileWriter fw;
    PrintWriter pw;
    //--------
    long sTime; // startTime
    long eTime; // endTime
    //----------------------    
    
    /** Creates a new instance of MojiGeneJava */
    public MojiGeneJava()
    {
        
    }
    //----------------------
    public void SetInit(int mojikazuInText, 
            int mojikazuALine, int mojikazuAWord)
    {
       MojiKazuInText=mojikazuInText;
       MojiKazuAtLine=mojikazuALine;
       MojiKazuInWord=mojikazuAWord;  
       
       
    }
    //-----------------------
    public int GeneText()
    {
        try{
            fw=new FileWriter("MojiGeneJava.txt");
            pw=new PrintWriter(fw);
            
        }
        catch(IOException ioe){
            System.out.println("fw or pw IOException!");
            ioe.printStackTrace();            
            return -11;            
        } 
        return 0;
    }
    //------------------------------
    public int CloseText()
    {
        Date date=new Date();        
        eTime=date.getTime();        
        
        long dTime=eTime-sTime;
         
        if(0==dTime)
        {
            String str="// 1 ~bȉ@쐬ɗv";
            System.out.println(str);
            pw.println(str);            
        }
        else{
            String str2=" ~b@쐬ɗv";
            
            System.out.println("// "+dTime+str2);
            pw.println("// "+dTime+str2);
        }
        System.out.println(date);
        pw.println(date);
	//----------------        
        pw.close();

        try{
            fw.close();
        }catch(IOException ioe){
            System.out.println("fw.close() IOException!");
            ioe.printStackTrace();
            return -22;            
        }
        
        return 0;        
    }
    //------------------------------------------
    public int  MakeTable(char chA, char chZ, int mojikazu)
    {
        int chN, k, cnt;
        char ch;        
         
        sTime=new Date().getTime();        
        
        Random rd=new Random(sTime);
        
        k=0; cnt=0;
        while(true)
        {            
            int tmp=(int)(1+(chZ-chA));
            chN=rd.nextInt(tmp);
            ch=(char)(chA+chN);
            cnt++;
           
            if(chA <= ch && ch <= chZ)
            {
                if(0==k%5 && 0 != k)
                {
                    System.out.print("  ");
                    pw.print("  ");
                }
                if(0==k%15 && 0 != k){
                    System.out.println("");
                    pw.println("");
                }
                System.out.print(ch);
                pw.print(ch);
                //---------------------
                if(mojikazu < k){ break; }
                else{ k++; }
            }
            else{ continue; }
        } 
        System.out.println();
        pw.println();
        // for a monitor.
        System.out.println("// (cnt, mojikazu)=("+cnt+", "+mojikazu+")");
      
        //-------------
        System.out.println("//-------------------");
        pw.println("//-----------------------");
        
   
        return 0;
       
    }
    //-----------------------
   
    public static void main(String[] args) {
        
         
        MojiGeneJava mg=new MojiGeneJava();
        mg.SetInit(100, 25, 5);
        
         int rt=mg.GeneText();
        if(rt < 0) return;
         
        mg.MakeTable('A', 'Z', 88);  
        mg.MakeTable('0', '9', 28);              
        mg.MakeTable('', '', 133);
        
        mg.CloseText();      
         
    }
     
 
}
//--------------------------------------
